--- /dev/null
+diff --git a/frontends/gconf/gconf.c b/frontends/gconf/gconf.c
+--- a/frontends/gconf/gconf.c
++++ b/frontends/gconf/gconf.c
+@@ -1469,7 +1469,7 @@
+ {
+ const char *name;
+ char *env;
+- gchar *glade_file;
++ gchar *glade_file = GUI_PATH;
+
+ bindtextdomain(PACKAGE, LOCALEDIR);
+ bind_textdomain_codeset(PACKAGE, "UTF-8");
+@@ -1483,6 +1483,7 @@
+ //add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");
+ //add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");
+
++#if 0
+ /* Determine GUI path */
+ env = getenv(SRCTREE);
+ if (env)
+@@ -1491,6 +1492,7 @@
+ glade_file = g_strconcat(av[0], ".glade", NULL);
+ else
+ glade_file = g_strconcat(g_get_current_dir(), "/", av[0], ".glade", NULL);
++#endif
+
+ /* Conf stuffs */
+ if (ac > 1 && av[1][0] == '-') {
--- /dev/null
+#!/bin/sh
+
+my_name="${0##*/}"
+
+# If an argument is given, it's the location
+# of the Linux kernel source tree
+if [ -n "${1}" -a -d "${1}/kernel" ]; then
+ k_dir="${1}"
+ # Get the version
+ eval $( head -n 5 "${k_dir}/Makefile" \
+ |sed -r -e 's/^/K_/; s/ = ?/="/; s/$/"/;' \
+ )
+ printf "Found Linux kernel %d.%d.%d%s '%s'\n" \
+ "${K_VERSION}" "${K_PATCHLEVEL}" "${K_SUBLEVEL}" \
+ "${K_EXTRAVERSION}" "${K_NAME}"
+else
+ if [ -z "${1}" ]; then
+ printf "%s: \`%s': not a Linux kernel source tree\n" \
+ "${my_name}" "${k_dir}"
+ else
+ printf "Usage: %s /path/to/kernel/dir\n" "${my_name}"
+ fi
+ exit 1
+fi
+
+exec <misc/kernel2kfrontends.list
+
+while read k_file trash kf_file; do
+ cp -v "${k_dir}/${k_file}" "${kf_file}"
+ if [ -f "${kf_file}.patch" ]; then
+ patch --no-backup-if-mismatch -g0 -F1 -p1 -f <"${kf_file}.patch"
+ fi
+done
--- /dev/null
+scripts/kconfig/menu.c --> libs/parser/menu.c
+scripts/kconfig/conf.c --> frontends/conf/conf.c
+scripts/kconfig/symbol.c --> libs/parser/symbol.c
+scripts/kconfig/streamline_config.pl --> misc/streamline_config.pl
+scripts/kconfig/lkc_proto.h --> libs/parser/lkc_proto.h
+scripts/kconfig/util.c --> libs/parser/util.c
+scripts/kconfig/nconf.c --> frontends/nconf/nconf.c
+scripts/kconfig/confdata.c --> libs/parser/confdata.c
+scripts/kconfig/qconf.h --> frontends/qconf/qconf.h
+scripts/kconfig/kxgettext.c --> misc/kxgettext.c
+scripts/kconfig/gconf.glade --> frontends/gconf/gconf.glade
+scripts/kconfig/gconf.c --> frontends/gconf/gconf.c
+scripts/kconfig/expr.h --> libs/parser/expr.h
+scripts/kconfig/nconf.gui.c --> frontends/nconf/nconf.gui.c
+scripts/kconfig/merge_config.sh --> misc/merge_config.sh
+scripts/kconfig/expr.c --> libs/parser/expr.c
+scripts/kconfig/mconf.c --> frontends/mconf/mconf.c
+scripts/kconfig/qconf.cc --> frontends/qconf/qconf.cc
+scripts/kconfig/lxdialog/inputbox.c --> libs/lxdialog/inputbox.c
+scripts/kconfig/lxdialog/textbox.c --> libs/lxdialog/textbox.c
+scripts/kconfig/lxdialog/util.c --> libs/lxdialog/util.c
+scripts/kconfig/lxdialog/checklist.c --> libs/lxdialog/checklist.c
+scripts/kconfig/lxdialog/BIG.FAT.WARNING --> libs/lxdialog/BIG.FAT.WARNING
+scripts/kconfig/lxdialog/yesno.c --> libs/lxdialog/yesno.c
+scripts/kconfig/lxdialog/menubox.c --> libs/lxdialog/menubox.c
+scripts/kconfig/lxdialog/dialog.h --> libs/lxdialog/dialog.h
+scripts/kconfig/nconf.h --> frontends/nconf/nconf.h
+scripts/kconfig/images.c --> frontends/qconf/images.c
+scripts/kconfig/images.c --> frontends/gconf/images.c
+scripts/kconfig/lkc.h --> libs/parser/lkc.h